Bullet Collision Detection & Physics Library: btGImpactQuantizedBvh Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
btGImpactQuantizedBvh Class Reference

Structure for containing Boxes. More...

`#include <btGImpactQuantizedBvh.h>`

Collaboration diagram for btGImpactQuantizedBvh:
[legend]

## Public Member Functions
| btGImpactQuantizedBvh ()
| this constructor doesn't build the tree. you must call buildSet
| btGImpactQuantizedBvh (btPrimitiveManagerBase *primitive_manager)
| this constructor doesn't build the tree. you must call buildSet
btAABB | getGlobalBox () const
void | setPrimitiveManager (btPrimitiveManagerBase *primitive_manager)
btPrimitiveManagerBase * | getPrimitiveManager () const

## Protected Member Functions
void | refit ()

## Protected Attributes
btQuantizedBvhTree | m_box_tree
btPrimitiveManagerBase * | m_primitive_manager
void | update ()
| node manager prototype functions
void | buildSet ()
| this rebuild the entire set
bool | boxQuery (const btAABB &box, btAlignedObjectArray< int > &collided_results) const
| returns the indices of the primitives in the m_primitive_manager
bool | boxQueryTrans (const btAABB &box, const btTransform &transform, btAlignedObjectArray< int > &collided_results) const
| returns the indices of the primitives in the m_primitive_manager
bool | rayQuery (const btVector3 &ray_dir, const btVector3 &ray_origin, btAlignedObjectArray< int > &collided_results) const
| returns the indices of the primitives in the m_primitive_manager
bool | hasHierarchy () const
| tells if this set has hierarcht
bool | isTrimesh () const
| tells if this set is a trimesh
int | getNodeCount () const
| node count
bool | isLeafNode (int nodeindex) const
| tells if the node is a leaf
int | getNodeData (int nodeindex) const
void | getNodeBound (int nodeindex, btAABB &bound) const
void | setNodeBound (int nodeindex, const btAABB &bound)
int | getLeftNode (int nodeindex) const
int | getRightNode (int nodeindex) const
int | getEscapeNodeIndex (int nodeindex) const
void | getNodeTriangle (int nodeindex, btPrimitiveTriangle &triangle) const
const BT_QUANTIZED_BVH_NODE * | get_node_pointer (int index=0) const
static void | find_collision (const btGImpactQuantizedBvh *boxset1, const btTransform &trans1, const btGImpactQuantizedBvh *boxset2, const btTransform &trans2, btPairSet &collision_pairs)

## Detailed Description

Structure for containing Boxes.

This class offers an structure for managing a box tree of primitives. Requires a Primitive prototype (like btPrimitiveManagerBase )

Definition at line 156 of file btGImpactQuantizedBvh.h.

## Constructor & Destructor Documentation

## ◆ btGImpactQuantizedBvh() [1/2]

btGImpactQuantizedBvh::btGImpactQuantizedBvh | ( |  | ) |
| inline

this constructor doesn't build the tree. you must call buildSet

Definition at line 168 of file btGImpactQuantizedBvh.h.

## ◆ btGImpactQuantizedBvh() [2/2]

btGImpactQuantizedBvh::btGImpactQuantizedBvh | ( | btPrimitiveManagerBase * | primitive_manager | ) |
| inline

this constructor doesn't build the tree. you must call buildSet

Definition at line 174 of file btGImpactQuantizedBvh.h.

## Member Function Documentation

## ◆ boxQuery()

bool btGImpactQuantizedBvh::boxQuery | ( | const btAABB & | box,
|  | btAlignedObjectArray< int > & | collided_results ) const

returns the indices of the primitives in the m_primitive_manager

Definition at line 286 of file btGImpactQuantizedBvh.cpp.

## ◆ boxQueryTrans()

bool btGImpactQuantizedBvh::boxQueryTrans | ( | const btAABB & | box,
|  | const btTransform & | transform,
|  | btAlignedObjectArray< int > & | collided_results ) const
| inline

returns the indices of the primitives in the m_primitive_manager

Definition at line 212 of file btGImpactQuantizedBvh.h.

## ◆ buildSet()

void btGImpactQuantizedBvh::buildSet | ( |  | ) |

this rebuild the entire set

Definition at line 270 of file btGImpactQuantizedBvh.cpp.

## ◆ find_collision()

void btGImpactQuantizedBvh::find_collision | ( | const btGImpactQuantizedBvh * | boxset1,
|  | const btTransform & | trans1,
|  | const btGImpactQuantizedBvh * | boxset2,
|  | const btTransform & | trans2,
|  | btPairSet & | collision_pairs )
| static

Definition at line 466 of file btGImpactQuantizedBvh.cpp.

## ◆ get_node_pointer()

const BT_QUANTIZED_BVH_NODE * btGImpactQuantizedBvh::get_node_pointer | ( | int | index = 0 | ) | const
| inline

Definition at line 284 of file btGImpactQuantizedBvh.h.

## ◆ getEscapeNodeIndex()

int btGImpactQuantizedBvh::getEscapeNodeIndex | ( | int | nodeindex | ) | const
| inline

Definition at line 274 of file btGImpactQuantizedBvh.h.

## ◆ getGlobalBox()

btAABB btGImpactQuantizedBvh::getGlobalBox | ( |  | ) | const
| inline

Definition at line 179 of file btGImpactQuantizedBvh.h.

## ◆ getLeftNode()

int btGImpactQuantizedBvh::getLeftNode | ( | int | nodeindex | ) | const
| inline

Definition at line 264 of file btGImpactQuantizedBvh.h.

## ◆ getNodeBound()

void btGImpactQuantizedBvh::getNodeBound | ( | int | nodeindex,
|  | btAABB & | bound ) const
| inline

Definition at line 254 of file btGImpactQuantizedBvh.h.

## ◆ getNodeCount()

int btGImpactQuantizedBvh::getNodeCount | ( |  | ) | const
| inline

node count

Definition at line 238 of file btGImpactQuantizedBvh.h.

## ◆ getNodeData()

int btGImpactQuantizedBvh::getNodeData | ( | int | nodeindex | ) | const
| inline

Definition at line 249 of file btGImpactQuantizedBvh.h.

## ◆ getNodeTriangle()

void btGImpactQuantizedBvh::getNodeTriangle | ( | int | nodeindex,
|  | btPrimitiveTriangle & | triangle ) const
| inline

Definition at line 279 of file btGImpactQuantizedBvh.h.

## ◆ getPrimitiveManager()

btPrimitiveManagerBase * btGImpactQuantizedBvh::getPrimitiveManager | ( |  | ) | const
| inline

Definition at line 191 of file btGImpactQuantizedBvh.h.

## ◆ getRightNode()

int btGImpactQuantizedBvh::getRightNode | ( | int | nodeindex | ) | const
| inline

Definition at line 269 of file btGImpactQuantizedBvh.h.

## ◆ hasHierarchy()

bool btGImpactQuantizedBvh::hasHierarchy | ( |  | ) | const
| inline

tells if this set has hierarcht

Definition at line 226 of file btGImpactQuantizedBvh.h.

## ◆ isLeafNode()

bool btGImpactQuantizedBvh::isLeafNode | ( | int | nodeindex | ) | const
| inline

tells if the node is a leaf

Definition at line 244 of file btGImpactQuantizedBvh.h.

## ◆ isTrimesh()

bool btGImpactQuantizedBvh::isTrimesh | ( |  | ) | const
| inline

tells if this set is a trimesh

Definition at line 232 of file btGImpactQuantizedBvh.h.

## ◆ rayQuery()

bool btGImpactQuantizedBvh::rayQuery | ( | const btVector3 & | ray_dir,
|  | const btVector3 & | ray_origin,
|  | btAlignedObjectArray< int > & | collided_results ) const

returns the indices of the primitives in the m_primitive_manager

Definition at line 327 of file btGImpactQuantizedBvh.cpp.

## ◆ refit()

void btGImpactQuantizedBvh::refit | ( |  | ) |
| protected

Definition at line 230 of file btGImpactQuantizedBvh.cpp.

## ◆ setNodeBound()

void btGImpactQuantizedBvh::setNodeBound | ( | int | nodeindex,
|  | const btAABB & | bound )
| inline

Definition at line 259 of file btGImpactQuantizedBvh.h.

## ◆ setPrimitiveManager()

void btGImpactQuantizedBvh::setPrimitiveManager | ( | btPrimitiveManagerBase * | primitive_manager | ) |
| inline

Definition at line 186 of file btGImpactQuantizedBvh.h.

## ◆ update()

void btGImpactQuantizedBvh::update | ( |  | ) |
| inline

node manager prototype functions

this attemps to refit the box set.

Definition at line 200 of file btGImpactQuantizedBvh.h.

## Member Data Documentation

## ◆ m_box_tree

btQuantizedBvhTree btGImpactQuantizedBvh::m_box_tree
| protected

Definition at line 159 of file btGImpactQuantizedBvh.h.

## ◆ m_primitive_manager

btPrimitiveManagerBase* btGImpactQuantizedBvh::m_primitive_manager
| protected

Definition at line 160 of file btGImpactQuantizedBvh.h.

The documentation for this class was generated from the following files:

- btGImpactQuantizedBvh.h
- btGImpactQuantizedBvh.cpp